<%@ Page language="c#" Codebehind="CategoryContent.aspx.cs" AutoEventWireup="false" Inherits="WebseitenMonitor.User.CategoryContent" %>
<%@ Import Namespace="WebseitenMonitor.User" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>CategoryContent</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
	<% if(this.RefreshCategoryNavigation) { %>
		<script type="text/javascript">
			function refreshNavigation() {
				parent.navigation.location.reload(true);
			 }
		</script>
	</HEAD>
	<body style="BACKGROUND: url(../img/LoginBackground.jpg) #ffffff fixed no-repeat" onload="refreshNavigation()" MS_POSITIONING="GridLayout">
	<% } else { %>
	</HEAD>
	<body style="BACKGROUND: url(../img/LoginBackground.jpg) #ffffff fixed no-repeat" MS_POSITIONING="GridLayout">
	<% } %>
		<form id="Form1" method="post" runat="server">
		<nobr>
			<div style="COLOR: #909090; FONT-FAMILY: Arial,sans-serif">
				<p style="FONT-WEIGHT: bold; FONT-SIZE: 12pt; FONT-FAMILY: Arial,sans-serif">
					<span style="FONT-SIZE: 16pt;">Aktionen</span>
					<br>
					<hr align="left" style="LEFT: 0px; WIDTH: 400px">
					<table style="POSITION: relative; LEFT: 10 px;" cellspacing="5" border="0">
						<tr>
							<td>
								<asp:Button ID="CreateNewCategoryButton" OnClick="CreateNewCategoryButtonClicked" Runat="server" Text="Neue Kategorie anlegen ..." style="WIDTH: 300px; COLOR: white; BACKGROUND-COLOR: #003f94;"></asp:Button>
							</td>
							<td>
								<asp:Button ID="CheckCategoryRecursiveButton" OnClick="CheckCategoryRecursiveButtonClicked" Runat="server" Text="Beobachtungen ab dieser Kategorie ansto&szlig;en" style="POSITION: relative; LEFT: 5px; WIDTH: 300px; COLOR: white; BACKGROUND-COLOR: #003f94;"></asp:Button>
							</td>
						</tr>
						<tr>
							<td>
								<asp:Button ID="DeleteCategoryButton" OnClick="DeleteCategoryClicked" Runat="server" Text="Diese Kategorie vollstndig lschen" style="WIDTH: 300px; COLOR: white; BACKGROUND-COLOR: #003f94;"></asp:Button>
							</td>
							<td>
								<asp:Button ID="CheckCategoryButton" OnClick="CheckCategoryButtonClicked" Runat="server" Text="Beobachtungen f&uuml;r diese Kategorie ansto&szlig;en" style="POSITION: relative; LEFT: 5px; WIDTH: 300px; COLOR: white; BACKGROUND-COLOR: #003f94;"></asp:Button>
							</td>
						</tr>
						<tr>
							<td>
								<asp:Button ID="ChangeCategoryNameButton" OnClick="ChangeCategoryNameButtonClicked" Runat="server" Text="Diese Kateogrie umbenennen ..." style="WIDTH: 300px; COLOR: white; BACKGROUND-COLOR: #003f94"></asp:Button>
							</td>
							<td>
								<asp:Button ID="CreateNewObservationButton" OnClick="CreateNewObservationButtonClicked" Runat="server" Text="Neuen Beobachtungskanal anlegen ..." style="WIDTH: 300px; POSITION: relative; LEFT: 5px; COLOR: white; BACKGROUND-COLOR: #003f94;"></asp:Button>
							</td>
						</tr>
					</table>
				</P>
				<br>
				<% if(!this.IsRootOrNoneSelected()) { %>
				<p style="FONT-WEIGHT: bold; FONT-SIZE: 12pt; FONT-FAMILY: Arial,sans-serif">
					<span style="FONT-SIZE: 16pt;">Beobachtungskan&auml;le</span>
					<br>
					<hr align="left" style="LEFT: 0px; WIDTH: 400px">
					<div style="POSITION: relative; LEFT: 10px;">
						<asp:DataGrid ID="CategoryObservationsDataGrid" Runat="server"
							AutoGenerateColumns="False"
							BackColor="#ffffff"
							ForeColor="#909090"
							Font-Size="12pt"
							BorderColor="#003f94"
							BorderWidth="1"
							GridLines="None"
							CellPadding="3"
							HeaderStyle-BackColor="#003f94"
							HeaderStyle-ForeColor="#ffffff"
							AlternatingItemStyle-BackColor="#909090"
							AlternatingItemStyle-ForeColor="#ffffff">
							<Columns>
								<asp:TemplateColumn HeaderText="">
									<ItemTemplate>
										<asp:HyperLink Runat="server" ImageUrl="../img/ShowInDetail.bmp" NavigateUrl='<%# this.GetShowInDetailUrl((WebseitenMonitor.DomainObjects.Behaviour.ObservationKind)DataBinder.Eval(Container.DataItem,"Kind"),(int)DataBinder.Eval(Container.DataItem,"Id")) %>' />
									</ItemTemplate>
								</asp:TemplateColumn>
								<asp:TemplateColumn HeaderText="Zustand">
									<ItemStyle HorizontalAlign="Center"></ItemStyle>
									<ItemTemplate>
										<asp:Image Runat="server" ImageUrl='<%# this.GetObservationStateImageUrl((WebseitenMonitor.DomainObjects.Behaviour.ChangeStateEnum)DataBinder.Eval(Container.DataItem,"ChangeState")) %>' ></asp:Image>
									</ItemTemplate>
								</asp:TemplateColumn>
								<asp:TemplateColumn HeaderText="Art">
									<ItemStyle HorizontalAlign="Center"></ItemStyle>
									<ItemTemplate>
										<asp:Image Runat="server" ImageUrl='<%# this.GetObservationKindImageUrl((WebseitenMonitor.DomainObjects.Behaviour.ObservationKind)DataBinder.Eval(Container.DataItem,"Kind")) %>'></asp:Image>
									</ItemTemplate>
								</asp:TemplateColumn>
								<asp:TemplateColumn HeaderText="Name">
									<ItemTemplate>
										<asp:Label Runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Name") %>' />
									</ItemTemplate>
								</asp:TemplateColumn>
								<asp:TemplateColumn HeaderText="Url">
									<ItemTemplate>
										<asp:Label Runat="server" Text='<%# ((Uri)DataBinder.Eval(Container.DataItem,"Url")).ToString() %>' />
									</ItemTemplate>
								</asp:TemplateColumn>
								<asp:TemplateColumn HeaderText="&Uuml;berpr&uuml;fungszeitpunkt">
									<ItemStyle HorizontalAlign="Center"></ItemStyle>
									<ItemTemplate>
										<asp:Label Runat="server" Text='<%# this.GetObservationDate((DateTime)DataBinder.Eval(Container.DataItem,"Date")) %>' />
									</ItemTemplate>
								</asp:TemplateColumn>
							</Columns>
						</asp:DataGrid>
					</div>
				</p>
				<% } %>
			</div>
		</nobr>
		</form>
	</body>
</HTML>
