<%@ Register TagPrefix="my" Namespace="WebseitenMonitor.Ui.CustomControls" Assembly="WebseitenMonitor" %>
<%@ Page language="c#" Codebehind="ObservationCreateWizard_MsgObsExpert.aspx.cs" AutoEventWireup="false" Inherits="WebseitenMonitor.User.ObservationCreateWizard_MsgObsExpert" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>ObservationCreateWizard_MsgObsExpert</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
	</HEAD>
	<body style="BACKGROUND: url(../img/LoginBackground.jpg) #ffffff fixed no-repeat" MS_POSITIONING="GridLayout">
		<form id="Form1" method="post" runat="server">
			<nobr>
				<div style="COLOR: #909090; FONT-FAMILY: Arial,sans-serif">
					<p style="FONT-WEIGHT: bold; FONT-SIZE: 12pt; FONT-FAMILY: Arial,sans-serif">
						<span style="FONT-SIZE: 16pt">Schritt 3: Festlegen der Meldungsparameter</span>
						<br>
						<hr style="LEFT: 0px; WIDTH: 720px" align="left">
					</P>
					<table style="FONT-SIZE: 12pt; LEFT: 10px; COLOR: #909090; FONT-FAMILY: Arial,sans-serif; POSITION: relative">
						<tr>
							<td colspan="3">
								<asp:checkbox id="SearchPatternEnabledCheckBox" Runat="server" Text="Suchmuster aktivieren" OnCheckedChanged="SearchPatternEnableChanged"
									AutoPostBack="True" />
							</td>
						</tr>
						<tr>
							<td colspan="3">
								<div style="FONT-SIZE: 9pt; LEFT: 20px; COLOR: #0000aa; POSITION: relative">
									<my:Fold Text="Hilfe!" Runat="server" ID="SearchPatternEnableHelpFold" />
								</div>
							</td>
						</tr>
						<tr>
							<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Suchmuster:&nbsp;</td>
							<td>
								<asp:textbox id="SearchPatternTextBox" Rows="3" Wrap="True" TextMode="MultiLine" Runat="server"
									Width="500px" />
							</td>
							<td>
								<asp:RequiredFieldValidator id="SearchPatternRequiredFieldValidator" style="FONT-SIZE: 10pt; COLOR: #ff0000"
									Runat="server" ErrorMessage="Es muss ein Suchmuster eingegeben werden!" ControlToValidate="SearchPatternTextBox"
									Display="Dynamic" />
								<asp:CustomValidator id="SearchPatternCustomValidator" style="FONT-SIZE: 10pt; COLOR: #ff0000" Runat="server"
									ControlToValidate="SearchPatternTextBox" Display="Dynamic" OnServerValidate="ValidateSearchPattern" />
							</td>
						</tr>
						<tr>
							<td colspan="3">
								<div style="FONT-SIZE: 9pt; LEFT: 40px; COLOR: #0000aa; POSITION: relative">
									<my:Fold Text="Hilfe!" Runat="server" ID="SearchPatternHelpFold" />
								</div>
							</td>
						</tr>
						<tr>
							<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Meldungsvorlage:&nbsp;</td>
							<td>
								<asp:textbox id="MessageTemplateTextBox" Rows="4" Wrap="True" TextMode="MultiLine" Runat="server"
									Width="500px" />
							</td>
							<td>
								<asp:requiredfieldvalidator id="MessageTemplateRequiredFieldValidator" style="FONT-SIZE: 10pt; COLOR: #ff0000"
									Runat="server" ErrorMessage="Es muss eine Meldungsvorlage eingegeben werden!" ControlToValidate="MessageTemplateTextBox"
									Display="Dynamic" />
								<asp:customvalidator id="MessageTemplateCustomValidator" style="FONT-SIZE: 10pt; COLOR: #ff0000" Runat="server"
									ControlToValidate="MessageTemplateTextBox" Display="Dynamic" OnServerValidate="ValidateMessageTemplate" />
							</td>
						</tr>
						<tr>
							<td colspan="3">
								<div style="FONT-SIZE: 9pt; LEFT: 40px; COLOR: #0000aa; POSITION: relative">
									<my:Fold Text="Hilfe!" Runat="server" ID="MessageTemplateHelpFold" />
								</div>
							</td>
						</tr>
						<tr>
							<td>Selektionsbeschreibung:&nbsp;</td>
							<td>
								<asp:textbox id="SelectedElementsPositionDescriptorTextBox" Runat="server" Width="500px" />
							</td>
							<td>
								<asp:requiredfieldvalidator id="SelectedElementsPositionDescriptorRequiredFieldValidator" style="FONT-SIZE: 10pt; COLOR: #ff0000"
									Runat="server" ErrorMessage="Es muss eine Selektionsbeschreibung eingegeben werden!" ControlToValidate="SelectedElementsPositionDescriptorTextBox"
									Display="Dynamic" />
								<asp:customvalidator id="SelectedElementsPositionDescriptorCustomValidator" style="FONT-SIZE: 10pt; COLOR: #ff0000"
									Runat="server" ControlToValidate="SelectedElementsPositionDescriptorTextBox" Display="Dynamic" OnServerValidate="ValidateSelectedElementsPositionDescriptor" />
							</td>
						</tr>
						<tr>
							<td colspan="3">
								<div style="FONT-SIZE: 9pt; LEFT: 20px; COLOR: #0000aa; POSITION: relative">
									<my:Fold Text="Hilfe!" Runat="server" ID="SelectedElementsPositionDescriptorHelpFold" />
								</div>
							</td>
						</tr>
					</table>
				</div>
				<br>
				<asp:button id="CancelButton" style="COLOR: white; BACKGROUND-COLOR: #003f94" onclick="CancelButtonClicked"
					Runat="server" CausesValidation="False" Text="Abbruch"></asp:button>&nbsp;&nbsp;&nbsp;
				<asp:button id="BackButton" style="COLOR: white; BACKGROUND-COLOR: #003f94" onclick="BackButtonClicked"
					Runat="server" CausesValidation="False" Text="Zurck"></asp:button>
				<asp:button id="CreateButton" style="COLOR: white; BACKGROUND-COLOR: #003f94" onclick="CreateButtonClicked"
					Runat="server" Text="Fertig"></asp:button>
			</nobr>
		</form>
	</body>
</HTML>
