using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Text;
using log4net;
using WebseitenMonitor.DomainObjects.DataSource;
using WebseitenMonitor.DomainObjects.Behaviour;

namespace WebseitenMonitor.User.Select
{
	/// <summary>
	/// Summary description for SelectionResultPage.
	/// </summary>
	public class SelectionResultPage : System.Web.UI.Page
	{	
		private static readonly ILog log = LogManager.GetLogger(typeof(SelectionResultPage));

		protected System.Web.UI.WebControls.Label selectionStringLabel;
		protected System.Web.UI.WebControls.Label serverSelectionStringLabel;
		protected System.Web.UI.WebControls.Button selectButton;
		protected System.Web.UI.WebControls.Label selectionResultLabel;

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			if(!this.IsPostBack) 
			{
				this.selectionStringLabel.Text = Request.Form["selectionPath"];
				Session["SelectionPath"] = Request.Form["selectionPath"];
			} 
			else 
			{
				this.selectionStringLabel.Text = (string)Session["SelectionPath"];
			}
		}

		protected void selectUserSelectedElements(object sender, System.EventArgs e) 
		{
			/*
			DataSource ds = new HttpDataSource();
			UserDefinedMessageObservation udb = new UserDefinedMessageObservation();
			string url = (string)Session["SelectedPageURL"];
			if(url == null || url.Equals("")) 
			{
				selectionResultLabel.Text = "Es wurde in der Session keine Seite gefunden.";
				return;
			}
			string errorMessage = "";
			if(!ds.SetSourceURL(url,out errorMessage)) 
			{
				selectionResultLabel.Text = errorMessage;
				return;
			}
			string selectionPath = (string)Session["SelectionPath"];
			if(selectionPath == null || selectionPath.Equals("")) 
			{
				selectionResultLabel.Text = "Es wurde in der Session kein Selektionspfad gefunden.";
				return;
			}
			TextReader sourceReader;
			DataSource.GetSourceReaderResult getSourceResult = ds.GetSourceReader(out sourceReader, out errorMessage);
			if(getSourceResult != DataSource.GetSourceReaderResult.Ok) 
			{
				selectionResultLabel.Text = errorMessage;
				return;
			}
			String text = sourceReader.ReadToEnd();

			//log.Debug(text);

			IList mySelectedElements = null;
			UserDefinedMessageObservation.CreateSelectedElementsPositionDescriptorResult selectionResult = udb.CreateSelectedElementsPositionDescriptor(
				selectionPath,
				text,
				UserDefinedMessageObservation.ServerSearchDirection.Both, 
				out mySelectedElements,
				out errorMessage);
			if(selectionResult != UserDefinedMessageObservation.CreateSelectedElementsPositionDescriptorResult.Ok)
			{
				this.selectionResultLabel.Text = errorMessage;
				return;
			}
			this.serverSelectionStringLabel.Text = udb.SelectedElementsPositionDescriptor;
			IEnumerator mySelectedEnumerator = mySelectedElements.GetEnumerator();
			StringBuilder tmpStringBuilder = new StringBuilder();
			while(mySelectedEnumerator.MoveNext()) 
			{
				tmpStringBuilder.Append((string)mySelectedEnumerator.Current + "<br>");
			}
			selectionResultLabel.Text = tmpStringBuilder.ToString();
			*/
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
