<%@ Page language="c#" Codebehind="ObservationCreateWizard_General.aspx.cs" AutoEventWireup="false" Inherits="WebseitenMonitor.User.ObservationCreateWizard_General" %>
<%@ Register TagPrefix="my" Namespace="WebseitenMonitor.Ui.CustomControls" Assembly="WebseitenMonitor" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>ObservationCreateWizard_General</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
	</HEAD>
	<body style="BACKGROUND: url(../img/LoginBackground.jpg) #ffffff fixed no-repeat" MS_POSITIONING="GridLayout">
		<form id="Form1" method="post" runat="server">
			<nobr>
				<div style="COLOR: #909090; FONT-FAMILY: Arial,sans-serif">
					<p style="FONT-WEIGHT: bold; FONT-SIZE: 12pt; FONT-FAMILY: Arial,sans-serif">
						<span style="FONT-SIZE: 16pt">Schritt 1: Art des Beobachtungskanals und allgemeine Einstellungen</span>
						<br>
						<hr style="LEFT: 0px; WIDTH: 720px" align="left">
					</p>
					<table style="FONT-SIZE: 12pt; LEFT: 10px; COLOR: #909090; FONT-FAMILY: Arial,sans-serif; POSITION: relative;">
						<tr>
							<td colSpan="3">
								<b>Art des Beobachtungskanals:</b>
								<br>
								<asp:radiobutton id="MsgObsChoosenRadioButton" GroupName="MyGroup" Text="Benutzerdefinierte Meldung aus Webseite extrahieren und beobachten"
									Runat="server" />
								<br>
								<asp:radiobutton id="ChangeObsChoosenRadioButton" GroupName="MyGroup" Text="Webseite bis zu einer gewissen Tiefe auf nderungen beobachten"
									Runat="server" />
							</td>
						</tr>
						<tr>
							<td colSpan="3">
								<div style="FONT-SIZE: 9pt; LEFT: 20px; COLOR: #0000aa; POSITION: relative">
									<my:fold id="ChooseKindHelpFold" Text="Hilfe!" Runat="server" />
								</div>
							</td>
						</tr>
						<tr>
							<td>Name:&nbsp;</td>
							<td>
								<asp:textbox id="NameTextBox" Runat="server" MaxLength="50" Width="500px" />
							</td>
							<td>
								<asp:requiredfieldvalidator id="NameRequiredFieldValidator" style="FONT-SIZE: 10pt; COLOR: #ff0000" Runat="server"
									Display="Dynamic" ControlToValidate="NameTextBox" ErrorMessage="Es muss ein Name fr den Beobachtungskanal eingegeben werden!" />
								<asp:customvalidator id="NameCustomValidator" style="FONT-SIZE: 10pt; COLOR: #ff0000" Runat="server"
									Display="Dynamic" ControlToValidate="NameTextBox" OnServerValidate="ValidateName" />
							</td>
						</tr>
						<tr>
							<td colSpan="3">
								<div style="FONT-SIZE: 9pt; LEFT: 20px; COLOR: #0000aa; POSITION: relative">
									<my:fold id="NameHelpFold" Text="Hilfe!" Runat="server" />
								</div>
							</td>
						</tr>
						<tr>
							<td>Url:&nbsp;</td>
							<td>
								<asp:textbox id="UrlTextBox" Runat="server" Width="500px" />
							</td>
							<td>
								<asp:requiredfieldvalidator id="UrlRequiredFieldValidator" style="FONT-SIZE: 10pt; COLOR: #ff0000" Runat="server"
									Display="Dynamic" ControlToValidate="UrlTextBox" ErrorMessage="Es muss eine der Beobachtung zugrunde liegende Url angegeben werden!" />
								<asp:customvalidator id="UrlCustomValidator" style="FONT-SIZE: 10pt; COLOR: #ff0000" Runat="server" Display="Dynamic"
									ControlToValidate="UrlTextBox" OnServerValidate="ValidateUrl" />
							</td>
						</tr>
						<tr>
							<td colSpan="3">
								<div style="FONT-SIZE: 9pt; LEFT: 20px; COLOR: #0000aa; POSITION: relative">
									<my:Fold id="UrlHelpFold" Runat="server" Text="Hilfe!" />
								</div>
							</td>
						</tr>
					</table>
				</div>
				<br>
				<asp:button id="CancelButton" style="COLOR: white; BACKGROUND-COLOR: #003f94" onclick="CancelButtonClicked"
					Runat="server" CausesValidation="False" Text="Abbruch"></asp:button>&nbsp;&nbsp;&nbsp;
				<asp:button id="ForwardButton" style="COLOR: white; BACKGROUND-COLOR: #003f94" onclick="ForwardButtonClicked"
					Runat="server" Text="Weiter"></asp:button>
			</nobr>
		</form>
	</body>
</HTML>
